
#define TitleCaption "Register 128Gamma"  // Application Title
#define FileVersion "1.0 - Revision C"  // Application Version
#define RegCode 29856748

#include "Headers/Registry.H"    // Registry Def & Functions
#include "Headers/RegNumbers.H"  // Reg Numbers

//---------------------(HWND & INSTANCE Definitions)

HWND  MainInstance;         // WinMain (Application) Instance
HWND  MainDialog_hWnd;      // MainDialog Instance

//---------------------(Function Prototypes)

int WINAPI WinMain (HWND, HWND, LPSTR, int );

BOOL CheckReg(int, int, int);
BOOL WriteValidReg(int, int, int);
BOOL WriteInvalidReg(void);

char *GetText (HWND);

void SetText (HWND, char *);
void CenterWindow (HWND);
void RegError(void);

//---------------------(Dialog Prototypes)
int MainDilaog(HWND, int ,int ,int);

//----------------------------------------------------------------

